ClasspathMatcher.ClasspathMatchers (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.util.ClasspathMatcher.ClasspathMatchers class
Date: 2021-11-09

net.sourceforge.jnlp.util

## Class ClasspathMatcher.ClasspathMatchers

- java.lang.Object
- - net.sourceforge.jnlp.util.ClasspathMatcher.ClasspathMatchers

- Enclosing class:
    ClasspathMatcher

      public static class ClasspathMatcher.ClasspathMatchers
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathMatchers(java.util.ArrayList<ClasspathMatcher> matchers, boolean includePath)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClasspathMatcher.ClasspathMatchers` | `compile(java.lang.String s)` space separated list of ClasspathMatcher source strings
    `static ClasspathMatcher.ClasspathMatchers` | `compile(java.lang.String s, boolean includePath)`
    `boolean` | `matches(java.net.URL s)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathMatchers

          public ClasspathMatchers(java.util.ArrayList<ClasspathMatcher> matchers,
                                   boolean includePath)

  - ### Method Detail

    - #### compile

          public static ClasspathMatcher.ClasspathMatchers compile(java.lang.String s)

      space separated list of ClasspathMatcher source strings
      Parameters:
        `s` - string to be read
      Returns:
        returns compiled matcher

    - #### compile

          public static ClasspathMatcher.ClasspathMatchers compile(java.lang.String s,
                                                                   boolean includePath)

    - #### matches

          public boolean matches(java.net.URL s)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Submit a bug or feature